@echo off

rem test français / anglais

findstr "Moyenne" "c:\temp\ping192.txt">nul
if %errorlevel% equ 1 (
    goto searchEnglish
) else (
    goto searchFrench
)

:searchFrench:
for /f "delims== tokens=4" %%n in ('findstr "perdus" "c:\temp\ping192.txt"') do set "Perte=%%n"
set "Perte=%Perte:~1%"
set "Perte=%Perte: (=&rem.%"

goto resultat

:searchEnglish
for /f "delims== tokens=4" %%n in ('findstr "Lost" "c:\temp\ping192.txt"') do set "Perte=%%n"
set "Perte=%Perte:~1%"
set "Perte=%Perte: (=&rem.%"
goto resultat





:resultat




echo %Perte%